from pydantic import BaseModel, Field
from typing import Optional


class ProjectLabel(BaseModel):
    """项目标签输入输出"""
    id: Optional[int] = Field(None, description="id")
    project_id: Optional[int] = Field(None, description="项目id")
    label_name: Optional[str] = Field(..., description="标签名称")
    meta: Optional[dict] = Field(None, description="label属性")

    class Config:
        orm_mode = True
